cgGLGetMatrixParameterdr(3)

NAME
cgGLGetMatrixParameterdr - get the values from a matrix parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLGetMatrixParameterdr( CGparameter param,
                                 double * matrix );

PARAMETERS

param
    The matrix parameter from which the values will be retrieved.

matrix
    An array of doubles into which the matrix values will be retrieved. The size must be the number of rows times the number of columns of param.

RETURN VALUES
None.

DESCRIPTION
cgGLGetMatrixParameterdr retrieves the values from a matrix parameter using row-major ordering.

cgGLGetMatrixParameterdr may only be called with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGLGetMatrixParameterdr was introduced in Cg 1.1.

SEE ALSO
cgGLGetMatrixParameterArray, cgGLSetMatrixParameterArray, cgGLSetParameter